onEvent('recipes', event => {

    //Molten Iron
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_extractor", 400)
        .produceFluid(Fluid.of("kubejs:molten_iron", 144))
        .requireItem(Item.of("minecraft:iron_ingot"))
        .requireFuel()

    //Molten Gold
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_extractor", 400)
        .produceFluid(Fluid.of("kubejs:molten_gold", 144))
        .requireItem(Item.of("minecraft:gold_ingot"))
        .requireFuel()

    //Molten Diamond
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_extractor", 400)
        .produceFluid(Fluid.of("kubejs:molten_diamond", 144))
        .requireItem(Item.of("minecraft:diamond"))
        .requireFuel()

    //Molten Emerald
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_extractor", 400)
        .produceFluid(Fluid.of("kubejs:molten_emerald", 144))
        .requireItem(Item.of("minecraft:emerald"))
        .requireFuel()

    //Molten Starmetal
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_extractor", 400)
        .produceFluid(Fluid.of("kubejs:molten_starmetal", 144))
        .requireItem(Item.of("astralsorcery:starmetal_ingot", 1))
        .requireFuel()

    //Molten Energised Gold Alloy
    event.recipes.custommachinery.custom_machine("modpack:primitive_fluid_extractor", 400)
        .produceFluid(Fluid.of("kubejs:molten_energised_gold_alloy", 144))
        .requireItem(Item.of("kubejs:energised_gold_alloy_ingot"))
        .requireFuel()

})